#ifdef GL_ES
precision mediump float;
#endif
varying vec2 v_texCoord;

uniform vec4 u_rate;
uniform vec4 u_delta;
varying vec4 v_fragmentColor;

void main()
{
	vec4 textureColor = texture2D(CC_Texture0, v_texCoord);
	gl_FragColor =  v_fragmentColor * (textureColor * u_rate + u_delta * textureColor.a);
}